/* ***** BEGIN LICENSE BLOCK *****
 * 
 * Copyright (c) 1997-2008 Aliasource - Groupe LINAGORA
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License as
 *  published by the Free Software Foundation; either version 2 of the
 *  License, (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 * 
 *  http://www.obm.org/                                              
 * 
 * ***** END LICENSE BLOCK ***** */
// startup script, should rename the file... ?
function log(e) {
	//dump(e + "\n");
	UtilsOBM.logMessageToConsole(e);
}

var scriptLoader = Components.classes["@mozilla.org/moz/jssubscript-loader;1"].createInstance(Components.interfaces.mozIJSSubScriptLoader);

if (typeof(UtilsOBM) == "undefined") {
	scriptLoader.loadSubScript("chrome://obm-extension/content/calendar/UtilsOBM.js");
}

var infos = UtilsOBM.detectVersion();

//add buttons
var adButtonAdded = false;

window.addEventListener("load", OBM_InitToolbar, false);

function OBM_InitToolbar() {
	if (UtilsOBM.getBoolPref("extensions.obm.addressbooks.is_sync_enabled", true)) {
		if (infos.version.indexOf("1.5") == 0) {
			adButtonAdded = UtilsOBM.addToolbarButton("mail:addressbook", "ab-bar", "chrome://messenger/content/addressbook/addressbook.xul#ab-bar", ["addressbook-obm-sync-button"], "throbber-box");
			UtilsOBM.logToFile("1.5|2, adButtonAdded : " + adButtonAdded + "\n");
		}
		if (infos.version.indexOf("2.0") == 0 || infos.version.indexOf("3.0") == 0) {
			adButtonAdded = UtilsOBM.addToolbarButton("mail:addressbook", "ab-bar2", "chrome://messenger/content/addressbook/addressbook.xul#ab-bar2", ["addressbook-obm-sync-button"], "search-container");
			UtilsOBM.logToFile("2.0|3.0, adButtonAdded : " + adButtonAdded + "\n");
		}
	} else {
	}
}